function K_n = DynamicEquation_RK(e,R,f,n_mode)
     
K_n = zeros(2*n_mode,1);

temp = 0.0;
for n = 1:n_mode
    temp = temp + (n*pi*e(n))^2;
end

for n = 1:n_mode
    K_n(n) = e(n + n_mode);
    K_n(n + n_mode) = ((-(n*pi)^4 ...
                                 + (n*pi)^2*R ...
                                 - 3*(n*pi)^2*temp) ...
                                *e(n)) ...
                               - f(n);
end

K_n = K_n';

end