function data_resampled = ContinueCalcu_resample(dt_orig,dt_target,data)

m = size(data,1);
n = size(data,2);

TAU = (0:dt_orig:dt_orig*(m-1))';

% plot(TAU,data,'Marker','square');
% hold on;

interpDATAset = cell(n,1);

for i = 1:1:n
    interpDATA = griddedInterpolant(...
        TAU,...
        data(:,i),...
        'makima');
    interpDATAset{i}=interpDATA;
end

TAU = flipud((TAU(end):-dt_target:0)');

data_resampled = zeros(size(TAU,1),n);


for i = 1:1:n
    data_resampled(:,i) = interpDATAset{i}(TAU);
end


% plot(TAU,data_resampled,'Marker','o')